@import url('https://fonts.googleapis.com/css2?family=Inter&family=Montserrat:wght@300;400;700&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html{
    font-size: 10px;
    font-family:'Montserrat', sans-serif;
}
a{
    text-decoration: none;
}
.container{
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}
p{
    color: #2C3639;
    text-align: left;
    font-size: 1.6rem;
    line-height: 1.9rem;
}
 .section-title{
    font-size: 5rem;
    font-weight: 300;
    color: #3F4E4F;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: .2rem;
    text-align: center;
}
 .section-title span{
    color: #A27B5C;
}
.brand h1{
    font-size: 3rem;
    text-transform: uppercase;
    color: #2C3639;
}
.brand h1 span{
    color: #A27B5C;
}
/*hero  section*/
.hero{
    background-image: url('bg.png');
    background-size: cover;
    background-position: top center;
    position: relative;
    z-index: 1;
}
.hero::after{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: #DCD7C9;
    opacity: .7;
    z-index: -1;
}

.hero h1{
    display: block;
    width: fit-content;
    font-size: 4rem ;
    position: relative;
    color: transparent;
    animation: text_reveal .5s ease forwards;
    animation-delay: 1s;
}
.hero h1:nth-child(1){
    animation-delay: 1s;
}
.hero h1:nth-child(2){
    animation-delay: 2s;
}
.hero h1:nth-child(3){
    animation-delay: 3s;}
.hero h1 span{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0%;
    background-color: #2C3639;
    animation: text_reveal_box 1s ease;
    animation-delay: .3s;
}
.hero h1:nth-child(1) span
{
    animation-delay: .5s;
}
.hero h1:nth-child(2) span
{
    animation-delay: 1.5s;
}
.hero h1:nth-child(3) span
{
    animation-delay: 2.5s;
}
.hero .cta{
    display: inline-block;
    padding: 10px 30px;
    color:#2C3639;
    background-color: transparent ;
    border: 2px solid #2C3639;
    font-size: 2rem;
    text-transform: uppercase;
    letter-spacing: .1rem;
    margin-top: 30px;
    transition: .3s ease background-color;
    transition-property: background-color, color;

}
.hero .cta:hover{
    color: #DCD7C9;
    background-color: #3F4E4F;
}
/*services section*/
.services{

}
#services .services{
    flex-direction: column;
    text-align: center;
    max-width: 1500px;
    margin: 0 auto;
    padding: 100px 0;
}

.services .service-top p{
    font-size: 1.6rem;
    margin-top: 5px;
    text-align: center;
    line-height: 2.5rem;
    font-weight: 300px;
    letter-spacing: .05rem;
}
.services .service-bottom{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 50px;
}
.services .service-item{
    flex-basis: 80%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    padding: 30px;
    border-radius: 10px;
    background-color:#DCD7C9 ;
    background-size: cover;
    margin: 10px 5%;
    position: relative;
    z-index: 1;
    overflow: hidden;
}
.services .service-item::after{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: #DCD7C9;
    opacity: .4;
    z-index: -1;
}
.services .service-bottom .icon{
    height: 50px;
    width: 50px;
    margin-bottom: 20px;
}
.services .service-item h2{
    font-size: 2rem;
    color: #2C3639;
    margin-bottom: 10px;
    text-transform: uppercase;
}
.services .service-item p{
    color: #2C3639;
    text-align: left;
}
/*end services section*/
/*projects section*/
#projects .projects{
    flex-direction: column;
    max-width: 200px;
    margin: 0 auto;
    padding: 100px 0;
}
.projects .projects-header h1{
    margin-bottom: 50px;

}
.projects .all-projects{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.projects .project-item{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 80%;
    margin: 20px auto;
    overflow: hidden;
    border-radius: 10px;
}
.projects .project-info{
    padding: 30px;
    flex-basis: 50%;
    background-color: white;
    height: 100%;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    background-color: #DCD7C9;
    color: #2C3639;
}
.projects .project-info h1{
    font-size: 4rem;
    font-weight: 500;
}
.projects .project-info h2{
    font-size: 1.8rem;
    font-weight: 300;
    margin-top: 10px;
}
.projects .project-info p{
   color: #2C3639;
}
.projects .project-img{
    flex-basis: 50%;
    height: 300px;
    overflow: hidden;
}
#projects .project-img:after{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: #2C3639;
    opacity: .7;
}
.projects .project-img img{
    transition: .3s ease transform;
}
.projects .project-item:hover .project-img img{
    transform: scale(1.1);
}
/*end projects section*/
/*about section*/
#about .about{
    flex-direction: column-reverse;
    text-align: center;
    max-width: 1200px;
    margin: 0 auto;padding: 100px 20px;
}
#about .col-left{
    width: 250px;
    height: 360px;
}
#about .col-right{
    width: 100%;
}
.about .col-right h2{
    font-size: 1.8rem;
    font-weight: 500;
    letter-spacing: .2rem;
    margin-bottom: 10px;
}
.about .col-right p{
    margin: 20px;
    text-align: center;
}
.about .col-left .about-img {
    position: relative;
    height: 100%;
    width: 100%;
    position: relative;
    border: 10px solid white;
}
#about .col-left .about-img::after{
    content: '';
    position: absolute;
    left: -33px;
    top: 19px;
    height: 98%;
    width: 98%;
    border: 7px solid #A27B5C;
    z-index: -1;
}
/*end about section*/

/*contact section*/
#contact .contact{
    flex-direction: column;
    max-width: 1200px;
    margin: 0 auto;
}
#contact .contact-items{
    width: 400px;
   
}
#contact .contact-item{
    width: 80%;
    padding: 20px;
    text-align: center;
    border-radius: 10px;
    padding: 30px;
    margin: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0px 0px 13px 0 #A27B5C;
    transition: .3s ease box-shadow;
}
#contact .contact-item:hover{
    box-shadow: 0px 0px 5px 0px #A27B5C;
}
#contact .icon{
    width: 70px;
    margin: 0 auto;
    margin-bottom: 10px;
}
#contact .contact-info h1{
    font-size: 2.5rem;
    font-weight: 500;
    margin-bottom: 5px;
}
#contact .contact-info h2{
    font-size: 1.3rem;
    line-height: 2rem;
    font-weight: 500;
}
/* end of contact section*/

/*footer*/
#footer{
    background-color: #DCD7C9 ;
}
#footer .footer{
    min-height: 200px;
    flex-direction: column;
    padding-top: 50px;
    padding-bottom: 10px;
}
#footer h2{
    color: #2C3639;
    font-weight: 500;
    font-size: 1.8rem;
    letter-spacing: .1rem;
    margin-top: 10px;
    margin-bottom: 10px;
}
.footer .social-icon{
    display: flex;
    margin-bottom: 30px;

}
/*keyframes*/
@keyframes text_reveal_box{
    50%{
        width: 100%;
        left: 0;
    }
    100%{
        width: 0;
        left: 100%;
    }
}
@keyframes text_reveal{
    100%{
        color: #2C3639;
    }
}
/* end keyframes*/

/*media query for tablet*/
@media only screen and (min-width:768px){
    .cta{
        font-size: 2.5rem;
        padding: 20px 60px;
    }
    h1 .section-title{
        font-size: 7rem;
    }
    /*hero*/
    #hero h1{
        font-size: 7rem;
    }
    /*end hero*/
    #services .service-bottom .service{
        flex-basis: 45%;

    }
    
    /*about*/
        #about .about{
            flex-direction: row;
        }
        #about .col-left{
            width: 600px;
            height: 400px;
            padding-left: 60px;
        }
        #about .about .col-left .about-img::after{
            left: -45px;
            top: 34px;
            height: 98%;
            width: 98%;
            border: 10px solid #A27B5C;
        }
        .about .col-right{
            text-align: left;
            padding: 30px;
        }
        .about .col-right h1{
            text-align: left;
        }

        /*contact*/
        #contact .contact{
            flex-direction: column;
            padding: 100px 0;
            align-items: center;
            justify-content: center;
            min-width: 20vh;

        }
        #contact .contact-items{
            width: 100%;
            display: flex;
            flex-direction: row;
           

        }
        #contact .contact-item{
            margin: 20px;
            flex-direction: row;
        }
        #contact .contact-item .icon img{
            object-fit: contain;
        }
        #contact .contact-item .contact-info{
            width: 100%;
            text-align: left;
            padding-left: 20px;
        }
}
/* end media query for tablet*/

/*  media query for desktop*/
@media only screen and (min-wdith:1200px){
    #services .service-bottom .service-item{
        flex-basis: 22%;
        margin: 1.5%;
    }

}
    
/*  end media query for desktop*/